%{

/* default yywrap function - always treat EOF as an EOF  */
#define opswrap() 1 


%}

%%
":v"  return(PAR);

":p"  return(PRE);

":e"  return(EFF);

[a-zA-Z0-9\-_]+/[ \t]*: { 
                  strcpy(yylval.string,yytext); return(TYPENAME);}

":"  return(':');

"."  return('.');

";"  return(';');

"("  return('(');

")"  return(')');

"=>" return(IMPL);

ALL return(ALL);

DEL return(DEL);

ADD return(ADD);

not return(NOT);

"!" return(NOT);

^#(.)*\n   { lineno++; }

\?[a-zA-Z0-9\-\[\]]+ { 
                  strcpy(yylval.string,yytext); return(VARNAME); }

[a-zA-Z0-9\-]+/\(  { 
                  strcpy(yylval.string,yytext); return(PREDNAME); }

[,a-zA-Z0-9\-\[\]]+  { 
                  strcpy(yylval.string,yytext); return(CONSTNAME); }

\n    { lineno++; } 

.     ;

%%
